Index: trunk/DataCheck/Processing/FillAuxData.sh
===================================================================
--- trunk/DataCheck/Processing/FillAuxData.sh	(revision 18769)
+++ trunk/DataCheck/Processing/FillAuxData.sh	(revision 18770)
@@ -133,14 +133,9 @@
    # get daily fits files 
    trackingfile=$auxdir/$runnumber.DRIVE_CONTROL_TRACKING_POSITION.fits
-   if ! [ -e $trackingfile ]
-   then 
-      printprocesslog "WARN "$trackingfile" not found."
-   fi
+   check_file_avail $trackingfile
    
    sourceposfile=$auxdir/$runnumber.DRIVE_CONTROL_SOURCE_POSITION.fits
-   if ! [ -e $sourceposfile ]
+   if check_file_avail $sourceposfile 
    then 
-      printprocesslog "WARN "$sourceposfile" not found."
-   else
       sourceposfiletstarti=`$factpath/fitsdump -h $sourceposfile  2>/dev/null | grep 'TSTARTI' | grep -E -o '[0-9]{5}'`
       sourceposfiletstartf=`$factpath/fitsdump -h $sourceposfile  2>/dev/null | grep 'TSTARTF' | grep -E -o '0[.][0-9]+'`
@@ -154,20 +149,11 @@
    
    triggerratefile=$auxdir/$runnumber.FTM_CONTROL_TRIGGER_RATES.fits
-   if ! [ -e $triggerratefile ]
-   then 
-      printprocesslog "WARN "$triggerratefile" not found."
-   fi
+   check_file_avail $triggerratefile
    
    thresholdfile=$auxdir/$runnumber.FTM_CONTROL_STATIC_DATA.fits
-   if ! [ -e $thresholdfile ]
-   then 
-      printprocesslog "WARN "$thresholdfile" not found."
-   fi
+   check_file_avail $thresholdfile
    
    biasvoltagefile=$auxdir/$runnumber.BIAS_CONTROL_VOLTAGE.fits
-   if ! [ -e $biasvoltagefile ]
-   then 
-      printprocesslog "WARN "$biasvoltagefile" not found."
-   fi
+   check_file_avail $biasvoltagefile
 
    # fill auxiliary information for files
@@ -180,12 +166,6 @@
       # get information from rawfile
       rawfile=`ls $rawdir/$runnumber"_"\`printf %03d $filenum\`.fits* 2>/dev/null`
-      if ! [ -e $rawfile ]
-      then 
-         if [ $night -lt $checknight ] 
-         then 
-            printprocesslog "WARN "$rawfile" not found."
-         else
-            printprocesslog "INFO "$rawfile" not found."
-         fi
+      if ! check_file_avail $rawfile
+      then 
          continue
       fi
Index: trunk/DataCheck/QuickLook/Step1.sh
===================================================================
--- trunk/DataCheck/QuickLook/Step1.sh	(revision 18769)
+++ trunk/DataCheck/QuickLook/Step1.sh	(revision 18770)
@@ -63,5 +63,5 @@
 function rsync_aux_file()
 {
-   if ls $1 >/dev/null 2>&1
+   if check_file_avail $1
    then 
       printprocesslog "INFO rsync "$1
@@ -77,6 +77,4 @@
          printprocesslog "WARN rsync of "$1" failed."
       fi
-   else
-      printprocesslog "WARN "$1" missing."
    fi
 }
